> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Export github sandbox data

> Export all data from the sandbox in the same format used for initialization.



## OpenAPI

````yaml get /sandbox/github/{sandbox_id}/dump
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /sandbox/github/{sandbox_id}/dump:
    get:
      tags:
        - sandbox
      summary: Export github sandbox data
      description: >-
        Export all data from the sandbox in the same format used for
        initialization.
      operationId: dump_sandbox_sandbox_github__sandbox_id__dump_get
      parameters:
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            description: The unique sandbox identifier
            title: Sandbox Id
          description: The unique sandbox identifier
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DumpSandboxResponse_GitHubData_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DumpSandboxResponse_GitHubData_:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
          description: Sandbox identifier
        server_name:
          $ref: '#/components/schemas/SandboxMCPServer'
          description: MCP server type
        dumped_at:
          type: string
          format: date-time
          title: Dumped At
          description: Timestamp of dump
        data:
          $ref: '#/components/schemas/GitHubData-Output'
          description: Dumped sandbox data in server-specific format
      type: object
      required:
        - sandbox_id
        - server_name
        - dumped_at
        - data
      title: DumpSandboxResponse[GitHubData]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SandboxMCPServer:
      type: string
      enum:
        - jira
        - github
        - salesforce
        - hubspot
        - notion
        - airtable
        - linear
        - asana
        - google_sheets
        - google_drive
        - google_docs
        - gmail
        - google_calendar
        - google_forms
        - clickup
        - close
        - monday
        - motion
        - onedrive
        - microsoft_teams
        - outlook_mail
        - cal.com
        - quickbooks
        - moneybird
        - dropbox
        - shopify
        - woocommerce
        - outlook_calendar
        - resend
        - wordpress
        - mem0
        - supabase
        - slack
        - confluence
        - discord
        - snowflake
        - postgres
        - mongodb
        - youtube
        - googleworkspaceatlas
        - huggingface
        - mock_notion
        - arxiv_latex
        - calculator
        - clinicaltrialsgov
        - fetch
        - met_museum
        - open_library
        - osm
        - pubmed
        - us_weather
        - duckduckgo
        - whois
        - wikipedia
        - scholarly
        - howtocook
        - yahoo_finance
        - '12306'
        - youtube_transcript
        - weather
        - twelvedata
        - national_parks
        - lara_translate
        - e2b
        - context7
        - alchemy
        - weights_and_biases
        - oxylabs
        - google_maps
        - brave_search
        - exa
        - serper
      title: SandboxMCPServer
      description: Supported MCP servers for sandboxing
    GitHubData-Output:
      properties:
        repos:
          anyOf:
            - items:
                $ref: '#/components/schemas/GitHubRepo-Output'
              type: array
            - type: 'null'
          title: Repos
          description: List of repositories
      type: object
      title: GitHubData
      description: Complete GitHub sandbox data structure
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GitHubRepo-Output:
      properties:
        name:
          type: string
          title: Name
          description: Repository name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Repository description
        branches:
          anyOf:
            - items:
                $ref: '#/components/schemas/GitHubBranch-Output'
              type: array
            - type: 'null'
          title: Branches
          description: List of branches with their folder structures
        prs:
          anyOf:
            - items:
                $ref: '#/components/schemas/GitHubPullRequest'
              type: array
            - type: 'null'
          title: Prs
          description: List of pull requests
        issues:
          anyOf:
            - items:
                $ref: '#/components/schemas/GitHubIssue'
              type: array
            - type: 'null'
          title: Issues
          description: List of issues
      type: object
      required:
        - name
      title: GitHubRepo
      description: GitHub Repository object
    GitHubBranch-Output:
      properties:
        name:
          type: string
          title: Name
          description: Branch name
        folders:
          anyOf:
            - $ref: '#/components/schemas/GitHubFolder-Output'
            - type: 'null'
          description: Root folder structure for this branch
      type: object
      required:
        - name
      title: GitHubBranch
      description: GitHub Branch object
    GitHubPullRequest:
      properties:
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
          description: PR ID (read-only, set by GitHub)
        pr_title:
          type: string
          title: Pr Title
          description: Pull request title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Pull request description/body
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: 'PR state: open, closed, or merged'
          default: open
        source_branch:
          type: string
          title: Source Branch
          description: Head branch name
        target_branch:
          type: string
          title: Target Branch
          description: Base branch name
          default: main
        labels:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Labels
          description: List of label names
      type: object
      required:
        - pr_title
        - source_branch
      title: GitHubPullRequest
      description: GitHub Pull Request object
    GitHubIssue:
      properties:
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
          description: Issue ID (read-only, set by GitHub)
        issue_title:
          type: string
          title: Issue Title
          description: Issue title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Issue description/body
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: 'Issue state: open or closed'
          default: open
        labels:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Labels
          description: List of label names
      type: object
      required:
        - issue_title
      title: GitHubIssue
      description: GitHub Issue object
    GitHubFolder-Output:
      properties:
        name:
          type: string
          title: Name
          description: Folder name
        path:
          type: string
          title: Path
          description: Folder path within the repository
        files:
          anyOf:
            - items:
                $ref: '#/components/schemas/GitHubFile'
              type: array
            - type: 'null'
          title: Files
          description: Files within this folder
        folders:
          anyOf:
            - items:
                $ref: '#/components/schemas/GitHubFolder-Output'
              type: array
            - type: 'null'
          title: Folders
          description: Subfolders within this folder
      type: object
      required:
        - name
        - path
      title: GitHubFolder
      description: GitHub Folder object
    GitHubFile:
      properties:
        name:
          type: string
          title: Name
          description: File name
        path:
          type: string
          title: Path
          description: File path within the repository
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
          description: File content
      type: object
      required:
        - name
        - path
      title: GitHubFile
      description: GitHub File object
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````